Documentation menu

Organization Members

3 operations.

MethodEndpointDescription
GET/api/v1/organizations/{organizationIdOrSlug}/membersList members of the current organization
PATCH/api/v1/organizations/{organizationIdOrSlug}/members/{userId}Update a member's organization role
DELETE/api/v1/organizations/{organizationIdOrSlug}/members/{userId}Remove a member from the current organization

List members of the current organization

GET/api/v1/organizations/{organizationIdOrSlug}/members

Parameters

path

NameTypeRequiredDescription
organizationIdOrSlugstringrequiredIdentifies the organization by its stable identifier or slug. Applies to List members of the current organization.

query

NameTypeRequiredDescription
limitintegeroptionalSets the maximum number of resources returned in this page. Applies to List members of the current organization.
cursorstringoptionalOpaque cursor returned by the previous page; omit it to read the first page. Applies to List members of the current organization.

Responses

StatusDescriptionBody
200Response for status 200
application/json
object
  • data (required): object
  • pagination (required): object
400The request is malformed or cannot be processed.
application/json
PublicApiError
  • error (required): object
401Authentication failed. Possible reasons: - Authorization header is not provided - Invalid credentials
application/json
PublicApiError
  • error (required): object
403Access denied. The authenticated user does not have permission to perform this action.
application/json
PublicApiError
  • error (required): object
422Request validation failed. Check the request body, query parameters, or path parameters.
application/json
PublicApiError
  • error (required): object
500The server could not complete the request.
application/json
PublicApiError
  • error (required): object

Update a member's organization role

PATCH/api/v1/organizations/{organizationIdOrSlug}/members/{userId}

Parameters

path

NameTypeRequiredDescription
organizationIdOrSlugstringrequiredIdentifies the organization by its stable identifier or slug. Applies to Update a member's organization role.
userIdstringrequiredIdentifies the user whose membership or grant is being addressed. Applies to Update a member's organization role.

Request body

required — Request body for: Update a member's organization role.

application/json

NameTypeRequiredDescription
role"owner" | "admin" | "member"required

Responses

StatusDescriptionBody
200Response for status 200
application/json
object
  • data (required): object
400The request is malformed or cannot be processed.
application/json
PublicApiError
  • error (required): object
401Authentication failed. Possible reasons: - Authorization header is not provided - Invalid credentials
application/json
PublicApiError
  • error (required): object
403Access denied. The authenticated user does not have permission to perform this action.
application/json
PublicApiError
  • error (required): object
404Resource not found.
application/json
PublicApiError
  • error (required): object
422Request validation failed. Check the request body, query parameters, or path parameters.
application/json
PublicApiError
  • error (required): object
500The server could not complete the request.
application/json
PublicApiError
  • error (required): object

Remove a member from the current organization

DELETE/api/v1/organizations/{organizationIdOrSlug}/members/{userId}

Parameters

path

NameTypeRequiredDescription
organizationIdOrSlugstringrequiredIdentifies the organization by its stable identifier or slug. Applies to Remove a member from the current organization.
userIdstringrequiredIdentifies the user whose membership or grant is being addressed. Applies to Remove a member from the current organization.

Responses

StatusDescriptionBody
200Response for status 200
application/json
object
  • data (required): object
400The request is malformed or cannot be processed.
application/json
PublicApiError
  • error (required): object
401Authentication failed. Possible reasons: - Authorization header is not provided - Invalid credentials
application/json
PublicApiError
  • error (required): object
403Access denied. The authenticated user does not have permission to perform this action.
application/json
PublicApiError
  • error (required): object
404Resource not found.
application/json
PublicApiError
  • error (required): object
422Request validation failed. Check the request body, query parameters, or path parameters.
application/json
PublicApiError
  • error (required): object
500The server could not complete the request.
application/json
PublicApiError
  • error (required): object